computeMargins {pscl} | R Documentation

## add information about voting outcomes to a rollcall object

### Description

Add summaries of each roll call vote to a `rollcall` object.

### Usage

    computeMargins(object, dropList = NULL)

### Arguments

`object` | an object of class `rollcall`
`dropList` | a `list` (or `alist`) listing voting decisions, legislators and/or votes to be dropped from the analysis; see `dropRollCall` for details.

### Details

The subseting implied by the `dropList` is first applied to the `rollcall` object, via `dropRollCall`. Then, for each remaining roll call vote, the number of legislators voting “Yea”, “Nay”, and not voting are computed, using the encoding information in the `codes` component of the `rollcall` object via the `convertCodes` function. The matrix of vote counts are added to the `rollcall` object as a component `voteMargins`.

### Value

An object of class `rollcall`, with a component `voteMargins` that is a matrix with four columns:

`Yea` | number of legislators voting “Yea”
`Nay` | number of legislators voting “Nay”
`NA` | number of legislators not voting “Nay”
`Min` | the number of legislators voting on the losing side of the roll call

### Author(s)

Simon Jackman simon.jackman@sydney.edu.au

### See Also

`dropRollCall` on specifying a `dropList`. The vote-specific marginals produced by theis function are used by as `dropRollCall`, `summary.ideal` and `predict.ideal`.

### Examples

    data(s109)
    tmp <- computeMargins(s109)
    dim(tmp$voteMargins)   ## 645 by 4

    tmp <- computeMargins(s109,
                         dropList=list(codes="notInLegis",lop=0))
    dim(tmp$voteMargins)   ## 544 by 4

[Package pscl version 1.5.2 Index]